import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
import { SPACING } from './constants';
var CLASS = 'sui-SectionBasic';

var getSpacingClassName = function getSpacingClassName(modifier) {
  return CLASS + "-bottomSpacing--" + modifier;
};

var SectionBasic = function SectionBasic(_ref) {
  var _cx;

  var children = _ref.children,
      _ref$contentBottomSpa = _ref.contentBottomSpacing,
      contentBottomSpacing = _ref$contentBottomSpa === void 0 ? SPACING.LARGE : _ref$contentBottomSpa,
      _ref$customContentWhe = _ref.customContentWhenEmpty,
      customContentWhenEmpty = _ref$customContentWhe === void 0 ? null : _ref$customContentWhe,
      _ref$headerBottomSpac = _ref.headerBottomSpacing,
      headerBottomSpacing = _ref$headerBottomSpac === void 0 ? SPACING.LARGE : _ref$headerBottomSpac,
      _ref$sectionBottomSpa = _ref.sectionBottomSpacing,
      sectionBottomSpacing = _ref$sectionBottomSpa === void 0 ? SPACING.NONE : _ref$sectionBottomSpa,
      _ref$separator = _ref.separator,
      separator = _ref$separator === void 0 ? false : _ref$separator,
      textContent = _ref.textContent,
      title = _ref.title;
  return React.createElement("section", {
    className: cx(CLASS, getSpacingClassName(sectionBottomSpacing))
  }, title && React.createElement("header", {
    className: cx(CLASS + "-header", getSpacingClassName(headerBottomSpacing))
  }, React.createElement("h3", {
    className: CLASS + "-title"
  }, title)), React.createElement("div", {
    className: cx(CLASS + "-content", (_cx = {}, _cx[getSpacingClassName(contentBottomSpacing)] = separator, _cx))
  }, textContent ? React.createElement("p", {
    className: CLASS + "-textContent"
  }, textContent) : children || customContentWhenEmpty), separator && React.createElement("hr", {
    className: CLASS + "-separator"
  }));
};

SectionBasic.displayName = 'SectionBasic';
export default SectionBasic;
export { SPACING as sectionBasicBottomSpacing };